0

When I try to download Remote.app or Find my friends on a device that is stuck on iOS 6 I am presented with this alert?

This application requires iOS 7.0 or later.

You must update to iOS 7.0 in order to download and use this application.

Is there anyway around this if I've previously downloaded these applications on my device but deleted them?

1

Did you backup your phone to your computer? If so, you probably have the old version of the app in the Mobile Applications folder inside your iTunes folder. If you only backed up to iCloud I think you may be out of luck.

1

If you access the store directly from your iPhone, you get the option to download the latest version still compatible with iOS 6.

0

I was able to download a 'last compatible' version of some of Apple's apps. It looks like here were my options:

  1. Buy an iOS 7 device (not ideal when you have lots of iOS 6 only devices around).
  2. Download a 'last compatible' version of an iOS 7 only app if I had purchased that app while an iOS 6 version was out.
  3. Find an iTunes backup of the iOS 6 version of the app on my computer.

My issue was that I was trying to do option '2' but with a new Apple ID.

-2

It's easy. I'm using "vshare" from Cydia. You need to jailbreak your device, but it's much better than when you need to buy a new apple device just to get your favorite iOS 7 apps. Jailbreak your device. It's free. Learn how to do that with YouTube. I've downloaded a lot of apps that need iOS 7. I downloaded the old version one. I hope this answer will be helpful.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .